Update a user
PUT/api/users/:userId
Requires admin token. Update a user in the Ownli System.
Request
Path Parameters
- application/json
Body
required
User's First Name.)
User's Last Name.
User's Email.
Has the user's email been verified by the partner?
Cell Phone Number of the User.
Has the user's phone been verified by the partner?
Custom Field 1
Custom Field 2
Custom Field 3
Custom Field 4
Custom Field 5
address
object
Address
Street Address
City
2 Letter State Code (eg. AL, CA, CO etc.
2 Letter Country Code. Must be US.
Zipcode
Responses
- 200
- 400
- 401
- 404
- 409
- 500
The updated user object.
- application/json
- Schema
- Example (from schema)
Schema
Unique Id for the user
User's first name
User's last name
User's email address
User's cell phone number
Internal admin note
Custom Field 1
Custom Field 2
Custom Field 3
Custom Field 4
Custom Field 5
address
object
Address
Street Address Line 1
Street Address Line 2
City
2 Letter State Code
2 Letter Country Code
Zip
Possible values: [None, Accepted, Declined]
User's answer to terms of service for sharing data with Partner. (Only valid for certain partners)
A code generated for the user to share with Partner. (Only valid for certain partners)
Time at which user was registered on the system
Last updated timestamp
{
"id": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"phone": "string",
"adminNote": "string",
"customField1": "string",
"customField2": "string",
"customField3": "string",
"customField4": "string",
"customField5": "string",
"address": {
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"state": "string",
"country": "string",
"zip": "string"
},
"tosAnswer": "None",
"partnerCode": "string",
"dateRegistered": "string",
"updated": "string",
"emailVerified": true,
"phoneVerified": true,
"fraud": true
}
Invalid parameters or invalid state code passed in address. Possible error codes
-
ERROR_INVALID_STATE_CODE
-
ERROR_INVALID_PARAMETERS
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Authorization error e.g. due to an invalid or missing API keys.
User not found. Possible error codes
-
ERROR_USER_NOT_FOUND
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
User exists with phone or email. Possible error codes
-
ERROR_USER_ALREADY_EXISTS
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Internal error. Possible error codes
-
INTERNAL_SERVER_ERROR
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}